<%
##
# provide locals: :quote=>Quote, :securities=>Array[Security],  [ :selected_security=>Security.id ]
#
selected_security = false unless selected_security
%>

<%= form_for quote, :url=>{:action=>:create, :controller=>:asset}, :method=>:POST do |f| %>
 <fieldset id='quote'>
  <legend><% if quote.id %>Update<% else %>Add New<% end %> Quote Data</legend>
    <%= f.hidden_field :id %>
    <%= f.select :id_security, options_from_collection_for_select(securities, :id, :to_s_with_symbol, selected_security), :prompt=>'-- Select Security --' %><br/>
    <%= datetime_field_tag :timestring, quote.time_last, :placeholder=>'Time of Trade'  %><br/>
    <%= f.number_field :last, :placeholder=>'Quote Last Traded', :step=>0.0001 %><br/>
    <%= f.number_field :low, :placeholder=>'Day Low', :step=>0.0001 %><br/>
    <%= f.number_field :high, :placeholder=>'Day High', :step=>0.0001 %><br/>
    <%= f.number_field :volume, :placeholder=>'Volume Traded', :min=>1 %><br/>
    <%= f.text_field :exchange, :placeholder=>'Exchange' %><br/>
    <br/>
    <%= f.submit 'Save Quotation' %>
 </fieldset>
<% end %>
